## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.16.0
%bcond check 1

%global git_commit 13cb55bb66272ac4c872a1f6bfa3e820d7d0ca5b
%global build_date %(date -d "@${SOURCE_DATE_EPOCH}" +%Y-%m-%dT%H:%M:%SZ)
%global gomodulesmode GO111MODULE=on

# https://github.com/derailed/k9s
%global goipath         github.com/derailed/k9s
Version:                0.50.6

%gometa -L -f

%global common_description %{expand:
Kubernetes CLI To Manage Your Clusters In Style!}

Name:           k9s
Release:        %autorelease
Summary:        Kubernetes CLI To Manage Your Clusters In Style

# Generated by go-vendor-tools
License:        Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND ISC AND LicenseRef-Fedora-Public-Domain AND MIT AND MPL-2.0 AND Unlicense AND (Apache-2.0 OR GPL-2.0-or-later)
URL:            %{gourl}
Source0:        %{gosource}
# Generated by go-vendor-tools
Source1:        %{archivename}-vendor.tar.bz2
Source2:        go-vendor-tools.toml

BuildRequires:  go-vendor-tools


%description %{common_description}


%prep
%goprep -A
%setup -q -T -D -a1 %{forgesetupargs}
%autopatch -p1

# Make sure to keep in sync with post_commands in go-vendor-tools.toml.
# See the comment there for why we need this.
mkdir -p replacements
# Copy original library
cp -rp vendor/github.com/xi2/xz replacements/xz
cp go.mod replacements/xz
cd replacements/xz
sed -i '/github.com\/therootcompany\/xz/d' go.mod
# Rename to use import path of the fork.
sed -i 's|github.com/xi2/xz|github.com/therootcompany/xz|' $(find -name '*.go')
go mod edit -module=github.com/therootcompany/xz


%generate_buildrequires
%go_vendor_license_buildrequires -c %{S:2}


%build
export LDFLAGS="-X %{goipath}/cmd.version=%{version} \
                -X %{goipath}/cmd.commit=%{git_commit} \
                -X %{goipath}/cmd.date=%{build_date}"
%gobuild -o %{gobuilddir}/bin/%{name} main.go

%{gobuilddir}/bin/%{name} completion bash > %{name}.bash
%{gobuilddir}/bin/%{name} completion fish > %{name}.fish
%{gobuilddir}/bin/%{name} completion zsh  > %{name}.zsh


%install
%go_vendor_license_install -c %{S:2}
install -m 0755 -vd %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/k9s %{buildroot}%{_bindir}/
install -Dpm 0644 %{name}.bash %{buildroot}%{bash_completions_dir}/%{name}
install -Dpm 0644 %{name}.fish %{buildroot}%{fish_completions_dir}/%{name}.fish
install -Dpm 0644 %{name}.zsh  %{buildroot}%{zsh_completions_dir}/_%{name}


%check
%go_vendor_license_check -c %{S:2}
%if %{with check}
%gotest ./...
%endif


%files -f %{go_vendor_license_filelist}
%license vendor/modules.txt
%doc README.md
%doc plugins/README.md
%{_bindir}/k9s
%{bash_completions_dir}/%{name}
%{fish_completions_dir}/%{name}.fish
%{zsh_completions_dir}/_%{name}


%changelog
## START: Generated by rpmautospec
* Thu Jun 12 2025 blinxen <h-k-81@hotmail.com> - 0.50.6-1
- Initial package (rhbz#2368453)
## END: Generated by rpmautospec
